Xalan-Java 2.7.1: Class LocationPathPattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.compiler
Class LocationPathPattern

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.compiler.SyntaxTreeNode
            |
            +--org.apache.xalan.xsltc.compiler.Expression
                  |
                  +--org.apache.xalan.xsltc.compiler.Pattern
                        |
                        +--org.apache.xalan.xsltc.compiler.LocationPathPattern

public abstract class LocationPathPattern
extends Pattern

Fields inherited from class org.apache.xalan.xsltc.compiler.SyntaxTreeNode
`UNKNOWN_STYLESHEET_NODE_ID`

Constructor Summary
`LocationPathPattern()`

Method Summary
`int` | `getAxis()`
`double` | `getDefaultPriority()`
`abstract org.apache.xalan.xsltc.compiler.StepPattern` | `getKernelPattern()`
`double` | `getPriority()`
`Template` | `getTemplate()`
`abstract boolean` | `isWildcard()`
`boolean` | `noSmallerThan(LocationPathPattern other)` This method is used by the Mode class to prioritise patterns and template.
`abstract void` | `reduceKernelPattern()`
`void` | `setTemplate(Template template)`
`java.lang.String` | `toString()`
`void` | `translate(ClassGenerator classGen, MethodGenerator methodGen)`
`Type` | `typeCheck(org.apache.xalan.xsltc.compiler.SymbolTable stable)`

Methods inherited from class org.apache.xalan.xsltc.compiler.Expression
`backPatchFalseList, backPatchTrueList, compile, desynthesize, evaluateAtCompileTime, getFalseList, getTrueList, getType, hasLastCall, hasPositionCall, lookupPrimop, startIterator, synthesize, translateDesynthesized`

Methods inherited from class org.apache.xalan.xsltc.compiler.SyntaxTreeNode
`display, getLineNumber, getParser, getStylesheet, parseContents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocationPathPattern

    public LocationPathPattern()

Method Detail

### typeCheck

    public Type typeCheck(org.apache.xalan.xsltc.compiler.SymbolTable stable)
                   throws TypeCheckError

  Overrides:
    typeCheck in class Pattern

### translate

    public void translate(ClassGenerator classGen,
                          MethodGenerator methodGen)

  Overrides:
    translate in class Pattern

### setTemplate

    public void setTemplate(Template template)

### getTemplate

    public Template getTemplate()

### getPriority

    public final double getPriority()

  Overrides:
    getPriority in class Pattern

### getDefaultPriority

    public double getDefaultPriority()

### noSmallerThan

    public boolean noSmallerThan(LocationPathPattern other)

  This method is used by the Mode class to prioritise patterns and template. This method is called for templates that are in the same mode and that match on the same core pattern. The rules used are: o) first check precedence - highest precedence wins o) then check priority - highest priority wins o) then check the position - the template that occured last wins

### getKernelPattern

    public abstract org.apache.xalan.xsltc.compiler.StepPattern getKernelPattern()

### reduceKernelPattern

    public abstract void reduceKernelPattern()

### isWildcard

    public abstract boolean isWildcard()

### getAxis

    public int getAxis()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class org.apache.xalan.xsltc.compiler.Expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.